FROM python:3.10

RUN pip3 install numpy
RUN pip3 install gradio
RUN pip3 install ultralytics
RUN pip3 install pillow
RUN pip3 install torch torchvision torchaudio --index-url https://download.pytorch.org/whl/cpu
RUN pip3 install onnx2torch
RUN pip3 install lap
#some codecs do not install with this
# RUN pip3 install opencv-python
# should be complete version

RUN apt-get install -y libglib2.0.0 libsm6
RUN apt-get install libxext6
RUN apt-get install -y libxrender-dev
RUN apt-get update && apt-get install libgl1 -y

# needed a feature full opencv version for web compatible mp4 codec should not be needed for other uses python-opencv package should suffice
# https://docs.opencv.org/4.x/d2/de6/tutorial_py_setup_in_ubuntu.html
RUN apt-get install cmake gcc g++ -y

RUN apt-get install python3-dev python3-numpy \
libavcodec-dev libavformat-dev libswscale-dev \
libgstreamer-plugins-base1.0-dev libgstreamer1.0-dev -y

RUN apt-get install libpng-dev libjpeg-dev \
libopenexr-dev libtiff-dev libwebp-dev git -y

COPY scripts scripts
RUN scripts/installcv.sh


COPY main.py .
COPY models models

EXPOSE 8080


CMD [ "python", "./main.py" ]
